qtpim-opensource-src (5.0~git20171109~0bd985b-0ubports0) xenial; urgency=medium

  * Update to latest QtPim.

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Mon, 23 Jul 2018 17:45:40 +0300

qtpim-opensource-src (5.0~git20140515~29475885-0ubuntu24~5ubports2) xenial; urgency=medium

  * Bump version

 -- Marius <mariogrip@ubuntu.com>  Sat, 24 Feb 2018 23:24:18 +0100

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu24~5ubports1) xenial; urgency=medium

  * Build for xenial 

 -- Marius <mariogrip@ubuntu.com>  Sat, 24 Feb 2018 21:13:45 +0100

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu24~5) bionic; urgency=medium

  * No-change rebuild against qtdeclarative ABI bump.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 10 Dec 2017 11:22:56 -0600

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu24~4) bionic; urgency=medium

  * No-change rebuild against qtbase5-private-dev.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 03 Nov 2017 17:25:07 -0500

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu24~3) artful; urgency=medium

  * Build against Qt 5.9.
  * Export QT_LOGGING_RULES="default.debug=true" to unbreak the tests
    (this is needed to override settings from our new qtlogging.ini file).
  * Add upstream patch to fix tests failures with Qt 5.8+ (qt58_nullptr.patch).
  * Add upstream patch to fix QVersitReader test (fix_versitreader_test.patch).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Fri, 07 Jul 2017 13:43:10 +0300

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu23~3) zesty; urgency=medium

  * Build against Qt 5.7.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 14 Sep 2016 13:12:58 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu22~5) yakkety; urgency=medium

  * Build against Qt 5.6.
  * debian/patches/Install-QtOrganizer-example-applications.patch:
    - Add targets to install successfully.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 22 Apr 2016 06:17:27 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu21) xenial; urgency=medium

  * debian/patches/Does-not-convert-datetime-properties-to-UTC.patch:
    - Avoid converting datetime values to UTC. Upstream commit at 
      https://codereview.qt-project.org/#/c/154461/

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 04 Apr 2016 08:35:18 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu20) xenial; urgency=medium

  * debian/patches/fix_recurrence_events.patch:
    - Fix issues related to repeating events (LP: #1546466) (LP: #1500192)
      (LP: #1455864) (LP: #1535207) (LP: #1471588) (LP: #1364653)
      (LP: #1473685) (LP: #1447930)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 17 Mar 2016 14:16:49 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu18) xenial; urgency=medium

  * debian/patches/QtVersit-Fix-crash-on-access-to-static-variable-in-m.patch:
    - Fix a crash in versit (LP: #1521331)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 07 Dec 2015 12:21:53 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu17) xenial; urgency=medium

  * Rebuild against Qt 5.5.1
  * Backport patches to make qtpim build with Qt 5.5:
    - debian/patches/fixqt55_1.patch
    - debian/patches/fixqt55_2.patch
  * debian/patches/QtOrganizer-fix-date-only-value-handling-to-avoid-UT.patch:
    - A patch for all day event returning wrong value (LP: #1462989)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 30 Nov 2015 12:32:29 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu16) xenial; urgency=medium

  [ Renato Filho ]
  * debian/patches/Added-list-of-imported-ids-as-argument-for-importIte.patch:
    - Improve vcard importing (LP: #1517880)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 19 Nov 2015 12:55:49 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu15) xenial; urgency=medium

  [ Renato Filho ]
  * debian/patches/Avoid-crash-while-parsing-vcards-from-different-threads.patch
    - Avoid crash while parsin vcards from different threads. (LP: #1514350)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 12 Nov 2015 06:41:28 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu14) xenial; urgency=medium

  [ Renato Filho ]
  * debian/patches/Fixed-contact-import-into-QDeclarativeContactModel.patch
    - Fix avatars for contacts not imported properly (LP: #1510254)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 02 Nov 2015 08:29:43 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu13) wily; urgency=medium

  [ Renato Filho ]
  * debian/patches/clean_update_after_engine_reset.patch
    - Fix 10 sec UI freeze when resetting contact engine (LP: #1497381)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 21 Sep 2015 06:42:14 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu12) wily; urgency=medium

  [ Renato Filho ]
  * debian/patches/Fixed-DisplayName-conversion-to-vcard.patch
    - Fix DisplayName conversion to vcard. (LP: #1494322)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 11 Sep 2015 07:00:43 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu11) wily; urgency=medium

  * Rebuild for GCC5 transition.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 15 Jul 2015 08:51:46 +0300

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu10) wily; urgency=medium

  * No-change rebuild against Qt 5.4.2

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 11 Jun 2015 13:53:43 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu9) vivid; urgency=medium

  * debian/patches/Added-detailTypesHint-property-to-QDeclarativeOrgani.patch
    - Make it possible to filter field while querying (LP: #1437300)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 08 Apr 2015 08:38:51 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu8) vivid; urgency=medium

  * Add documentation packages (LP: #1425114)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 25 Mar 2015 10:11:28 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu7) vivid; urgency=medium

  * Rebuild against Qt 5.4.1. 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 11 Mar 2015 06:13:45 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu6) vivid; urgency=medium

  * Rebuild against Qt 5.4.0. 
  * Do not build-depend on transitional packages.
  * Add missing include to qorganizerrecurrencerule.h to fix build
    failure with Qt 5.4 (LP: #1402962).

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 12 Jan 2015 19:59:00 +0300

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu5) vivid; urgency=medium

  * Rebuild against Qt 5.3.2
  * Remove usage of qt5-default
  * debian/patches/disable_failing_tests.patch:
    - Disable more tests, all of which pass locally after Qt PIM is installed 
      system wide. Needs upstream fixes, which is tracked in lp 1376644.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 10 Nov 2014 12:29:10 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu4) utopic; urgency=medium

  [ Renato Araujo Oliveira Filho ]
  * Fixed declarative contact model crash.

  [ Dmitry Shachnev ]
  * Update disable_failing_tests.patch to not patch one file twice.
  * Use correct exception syntax in debian/copyright.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Drop dh_builddeb override, no longer needed.
  * Use dh_auto_test instead of make check in debian/rules.

 -- Renato Araujo Oliveira Filho <renato@canonical.com>  Wed, 24 Sep 2014 14:13:01 -0300

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu3) utopic; urgency=medium

  * Rename the QML modules to qml-module-xxx format and add transitional 
    packages. (LP: #1342031) 

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 17 Jul 2014 11:15:48 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu2) utopic; urgency=medium

  * Build against Qt 5.3
  * Move includes, fix private cleaning accordingly

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 13 Jun 2014 08:11:07 +0000

qtpim-opensource-src (5.0~git20140515~29475884-0ubuntu1) utopic; urgency=medium

  * New upstream snapshot with several upstreamed fixes from renato
    - Remove also the following merged patches:
      Set-the-contact-detail-parent-to-avoid-memory-leak.patch
      Delete-declarative-contact-after-remove-it-from-the-.patch
    - A handful more of now failing upstream tests disabled

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 15 May 2014 09:27:46 +0000

qtpim-opensource-src (5.0~git20140203~e0c5eebe-0ubuntu3) utopic; urgency=medium

  * No-change rebuild for shlib changes in qtbase and qtdeclarative.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 29 Apr 2014 00:39:29 -0700

qtpim-opensource-src (5.0~git20140203~e0c5eebe-0ubuntu2) trusty; urgency=medium

  * Cherry-pick from upstream:
    - Delete-declarative-contact-after-remove-it-from-the-.patch
      (LP: #1291989)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 14 Mar 2014 08:39:24 +0000

qtpim-opensource-src (5.0~git20140203~e0c5eebe-0ubuntu1) trusty; urgency=medium

  * New upstream git snapshot
  * Update disable_failing_tests.patch with more failing tests
  * Build dep on qtquick2 and test plugins to enable QML plugins
  * Drop the two patches included in upstream
  * Cherry-pick Set-the-contact-detail-parent-to-avoid-memory-leak.patch
  * Use 'mkdir .git' to trigger header build for the snapshot release
  * Bump dependencies to Qt 5.2.1
  * Drop private headers like Debian

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 28 Feb 2014 11:04:37 +0000

qtpim-opensource-src (5.0~git20130828-0ubuntu3) saucy; urgency=low

  [ Timo Jyrinki ]
  * debian/patches/0001-Fixed-removePreferredDetail-locks-due-a-infinite-loo.patch
    - Cherry-pick a fix from upstream (LP: #1226445)
  * debian/patches/0001-Update-QDeclarativeContact-contactId-field-after-cre.patch
    - Cherry-pick a fix from upstream (LP: #1226444)

  [ Loïc Minier ]
  * Upload to saucy after testing in ~ubuntu-unity/daily-build PPA.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 19 Sep 2013 10:45:36 +0200

qtpim-opensource-src (5.0~git20130828-0ubuntu2) saucy; urgency=low

  * debian/rules:
    - Build and run tests
  * debian/control:
    - Build-Depend on dbus and xvfb for tests
  * debian/patches/disable_failing_tests.patch:
    - Disable four currently failing tests

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 16 Sep 2013 13:04:38 +0300

qtpim-opensource-src (5.0~git20130828-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release
  * debian/patches/added-support-to-preferreddetails-on-qml-contact.patch:
    - Drop, merged upstream

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Thu, 29 Aug 2013 12:26:09 +0300

qtpim-opensource-src (5.0~git20130723-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release
    - Fixes QTBUG-32142, QTBUG-32324 and QTBUG-32561
  * debian/patches/added-support-to-preferreddetails-on-qml-contact.patch:
    - Added support to preferredDetails on QML Contact.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 25 Jul 2013 18:41:12 -0300

qtpim-opensource-src (5.0~git20130701-0ubuntu1) saucy; urgency=low

  * New upstream snapshot release.
    - Fixes QML plugins (LP: #1188180)
  * Priority: extra for qtpim5-dbg
  * debian/patches/add_license_files.patch:
    - Drop, merged upstream.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 05 Jun 2013 15:45:28 +0300

qtpim-opensource-src (5.0~git20130502-0ubuntu1) saucy; urgency=low

  * Initial release
  * debian/patches/revert_module_version.patch:
    - Set upstream version number to 5.0.0 instead of 0.0.0 for now, 
      causes a crash in supportedImplementationVersions(); (LP: #1178620)
  * debian/patches/add_license_files.patch:
    - Include license files not yet in upstream (submitted for inclusion)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Fri, 10 May 2013 14:15:23 +0300
